#ifndef __DISPNEW_D_H__
#define __DISPNEW_D_H__

extern _VOID_ preserve_other_columns _P_((struct window *w));
extern _VOID_ cancel_my_columns _P_((struct window *w));
extern _VOID_ redraw_frame _P_((FRAME_PTR f));
extern _VOID_ cancel_line _P_((int vpos, register FRAME_PTR frame));
extern _VOID_ clear_frame_records _P_((register FRAME_PTR frame));
extern _VOID_ get_display_line _P_((register FRAME_PTR frame, int vpos,
                                    register int hpos));
extern int scroll_frame_lines _P_((register FRAME_PTR frame, int from, int end,
                                   int amount));
extern int update_frame _P_((FRAME_PTR f, int force, int inhibit_hairy_id));
extern int scrolling _P_((FRAME_PTR frame));
extern int buffer_posn_from_coords _P_((struct window *window,
                                        int col, int line));
extern _VOID_ change_frame_size _P_((register FRAME_PTR frame, int newheight,
                                     int newwidth, int pretend, int delay));

#endif
